@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@100&display=swap');
body {
    font-family: 'Kanit', sans-serif;
    font-weight: bold;
    overflow-x: hidden;
    overflow-y: hidden;
    padding: 0;
    margin: 0;
}
a {
    text-decoration: none;
    color: black;
}
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    margin-top: 0;
    margin-bottom: 0;
}
@media screen and (min-width: 900px) {
    #dropdown-menu {
        position: absolute;
        z-index: 5;
        right: 0;
    }
    .sefl-dropdown {
        position: relative;
        display: inline-block;
        width: fit-content;
    }
}
@media screen and (max-width: 900px) {
    #dropdown-menu {
        position: absolute;
        margin: 16px;
        z-index: 5;
        right: 0;
    }
    .sefl-dropdown {
        position: relative;
        display: inline-block;
        width: fit-content;
    }
}
.dropdown {
    position: absolute;
    display: inline-block;
    width: fit-content;
    z-index: 5;
}
.dropdown-content {
    display: none;
    position: absolute;
    z-index: 1;
}
.dropdown:hover .dropdown-content {
    display: block;
}
#sefl-navbar-wrapper {
    display: flex;
    justify-content: space-between;
    position: absolute;
    width: 100%;
    z-index: 2;
    align-items: center;
    margin-top: 50px;
    margin-bottom: 50px;
}
#sefl-map {
    white-space: nowrap;
}
@media screen and (min-width: 900px) {
    #sefl-map {
        position: relative;
    }
}
@media screen and (min-width: 900px) {
    #sefl-map {
        max-width: 1830px;
        max-height: 100%;
    }
    #sefl-map .imp-main-image {
        max-width: 100% !important;
    }
}
@media screen and (max-width: 900px) {
    #sefl-map {
        width: 100%;
        height: fit-content;
        overflow-x: scroll;
        display: flex;
    }
    #sefl-map::-webkit-scrollbar {
        width: 1em;
        height: 1em;
    }
    #sefl-map::-webkit-scrollbar-track {
        background: rgba(0, 0, 0, 0.75);
    }
    #sefl-map::-webkit-scrollbar-thumb {
        background-color: #B4E639;
        border-radius: 5px;
    }
    #sefl-map .imp-main-image  {
        width: 900px !important;
        height: 530px !important;
        flex: 0 0 auto !important;
    }
}
.sefl-dropdown-content {
    display: none;
    position: absolute;
    z-index: 1;
}
.sefl-dropdown:hover .sefl-dropdown-content {
    display: block;
}
#sefl-right-menu {
    display: inline-block;
    vertical-align: middle;
}
#sefl-navbar-left {
    margin-left: 10vw;
}
@media screen and (min-width: 1286px) {
    .sefl-map-text-wrapper {
        text-transform: uppercase;
        background-color:rgba(0, 0, 0, 0.5);
        width: fit-content;
        color: white;
        position: absolute;
        z-index: 2;
        padding-right: 50px;
        padding-left: 150px;
        bottom: 25px;
    }
    #sefl-map-lower-text {
        font-size: 28px;
    }
    #sefl-map-upper-text {
        font-size: 49px;
    }
}
@media screen and (max-width: 1286px) {
    .sefl-map-text-wrapper {
        text-transform: uppercase;
        background-color:rgba(0, 0, 0, 0.75);
        width: 100%;
        height: 100%;
        color: white;
        display: flex;
        flex-direction: column;
        text-align: center;
        box-sizing: border-box;
        padding: 20px;
    }
    #sefl-map-lower-text {
        font-size: 28px;
    }
    #sefl-map-upper-text {
        font-size: 49px;
    }
}
@media screen and (max-width: 900px) {
    .sefl-map-text-wrapper {
        text-transform: uppercase;
        background-color:rgba(0, 0, 0, 0.75);
        width: 100%;
        height: 100%;
        color: white;
        display: flex;
        flex-direction: column;
        text-align: center;
        box-sizing: border-box;
        padding: 20px;
    }
    #sefl-map-upper-text {
        font-size: 45px;
    }
    #sefl-map-lower-text {
        font-size: 25px;
    }
}
#sefl-map-upper-text span {
    background: #B4E639;
    clip-path: polygon(5% 100%, 100% 100%, 95% 0, 0 0);
    padding-left: 25px;
    padding-right: 25px;
}
#sefl-floor-descriptoin-text {
    text-transform: uppercase;
    font-size: 24px;
    position: absolute;
    z-index: 2;
    color: white;
    display: flex;
    flex-direction: column;
    right: 15%;
    top: 43%;
}
.sefl-floor-text {
    background: #2C2C2C;
    width: fit-content;
    padding: 15px 30px;
    position: relative;
    text-transform: uppercase;
}
.sefl-floor-text::after {
	content: '';
	position: absolute;
	left: 0;
	top: 50%;
	width: 0;
	height: 0;
	border: 15px solid transparent;
	border-right-color: #2C2C2C;
	border-left: 0;
	margin-top: -15px;
	margin-left: -15px;
}
#fourth-floor {
    display: none;
    top: 0px;
    animation: fadeIn .5s;
}
#third-floor {
    display: none;
    top: 115px;
    animation: fadeIn .5s;
}
#second-floor {
    display: none;
    top: 230px;
    animation: fadeIn .5s;
}
@keyframes fadeIn {
    from { opacity: 0; }
      to { opacity: 1; }
}
.img-magnifier-glass {
    position: absolute;
    border: 3px solid #000;
    border-radius: 50%;
    cursor: none;
    width: 250px;
    height: 250px;
  }
#map-logo {
    position: absolute;
    z-index: 5;
    margin-top: 5vh;
    margin-left: 5vw;
}
@media screen and (min-width: 1921px) {
    #sefl-map .imp-main-image {
        max-width: 100vw !important;
    }
    #sefl-map {
        max-width: 100vw !important;
    }
    .imp-wrap {
        max-width: none !important;
    }
}
.hints-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    right: 10vw;
    bottom: 15vh;
    font-size: 20px;
    z-index: 5;
}
@media screen and (min-width: 1921px) {
    .hints-wrapper {
        bottom: 20vh;
    }
}
@media screen and (min-width: 900px) {
    .hint-scroll {
        display: none;
    }
}
@media screen and (max-width: 1285px) {
    .hints-wrapper {
        bottom: 5vh !important;
    }
}
.hint-scroll, .hint-touch {
    pointer-events: none;
}
@media screen and (max-width: 900px) {
    .hints-wrapper {
        top: 450px !important;
        bottom: auto !important;
        font-size: 10px;
        gap: 10%;
        width: fit-content;
        right: auto;
        left: 50%;
        transform: translateX(-50%);
    }
    .hint-scroll-wrapper > img, .hint-touch-wrapper > img {
        height: 30px !important;
        width: auto;
    } 
    .hint-scroll, .hint-touch {
        width: 200px !important;
    }
}
@media screen and (max-width: 500px) {
    .hints-wrapper {
        top: 450px !important;
        bottom: auto;
        font-size: 8px;
        gap: 3%;
    }
    .hint-scroll-wrapper > img, .hint-touch-wrapper > img {
        height: 20px !important;
        width: auto;
    } 
    .hint-scroll, .hint-touch {
        width: 150px !important;
    }
}
.hint-touch, .hint-scroll {
    background-color: #292929;
    border-radius: 20px;
    width: fit-content;
    color: white;
    box-sizing: border-box;
    padding: 10px;
}
.hint-touch-wrapper, .hint-scroll-wrapper {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 15px;
}
.hint-scroll-wrapper > img, .hint-touch-wrapper > img {
    height: 50px;
    width: auto;
} 

@media screen and (min-width: 900px) {
    .sf-dropbtn {
        display: none;
    }
}
@media screen and (max-width: 900px) {
    .sf-dropbtn {
        display: block;
    }
    .sf-dropbtn > img {
        height: 50px;
        width: 50px;
    }
    #map-logo {
        display: none;
    }
}
.sf-dropbtn {
    background: transparent;
    color: white;
    padding: 16px 16px 0px 16px;
    border: none;
    right: 0;
}
.sf-dropdown {
    position: absolute;
    display: inline-block;
}
.sf-dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    width: 250%;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    font-size: 20px;
    text-align: center;
    left: 0;
    padding-top: 15px;
    padding-bottom: 15px;
}
.sf-dropdown-content a {
    color: black;
    padding: 10px 16px;
    text-decoration: none;
    display: block;
}
.sf-dropdown-content > a:hover {background-color: #b5dd51;}
.sf-dropdown:hover .sf-dropdown-content {display: block;}
.sf-dropdown:hover .sf-dropbtn {background-color: #B4E639;}